<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.kuaishou.modules.dimension.mapper.KuaiShouDimensionAccountMapper">

    <insert id="addBatch">
        insert into ctop_kuaishou_dimension_account(
        id,
        strategy_id,
        account_id,
        account_status,
        app_id,
        click_track_url,
        actionbar_click_url,
        creative_category,
        creative_tag,
        use_schema_uri,
        schema_uri,
        population,
        exclude_population,
        paid_audience

        )
        values
        <foreach collection="addList" item="ad" separator=",">
            (
            #{ad.id},
            #{ad.strategyId},
            #{ad.accountId},
            #{ad.accountStatus},
            #{ad.appId},
            #{ad.clickTrackUrl},
            #{ad.actionbarClickUrl},
            #{ad.creativeCategory},
            #{ad.creativeTag},
            #{ad.useSchemaUri},
            #{ad.schemaUri},
            #{ad.population},
            #{ad.excludePopulation},
            #{ad.paidAudience}
            )
        </foreach>

    </insert>
</mapper>